arbit(1)

# NAME

arbit - A wrapper around yt-dlp, mpv and pipe-viewer to watch aribtrary videos
without a browser

# SYNOPSIS

*arbit* _<clipboard-url|clipboard-content|download-url>_

# DESCRIPTION

A little video watch and download script made to be used in tandem with
minimalist window managers.

# CONFIGURATION

*arbit* saves it's output to '*~/Videos/YouTube*' by default.
This can be changed by setting the *$ARBITDIR* environment variable.

# COMMANDS

*clipboard-url*
	Open the contents of the clipboard either in *pipe-viewer(1)* or directly in
	*mpv(1)*. If a given URL contains either 'youtube' or 'youtu.be', it will be
	opened in pipe-viewer. Any other URLs will be opened directly using mpv.

*clipboard-content*
	Open *pipe-viewer(1)* with the contents of the clipboard as search query.

*download-url*
	Open *yt-dlp(1)* with the contents of the clipboard to download the
	resulting file.

*search* _<search-query>_
	Query YouTube using *pipe-viewer(1)*

*url*
	Open a given URL either in *pipe-viewer(1)* or directly in
	*mpv(1)*.

*download* _<url>_
	Open *yt-dlp(1)* with the contents of the given URL to download the
	resulting file.

# SEE ALSO
	*mpv(1)*, *pipe-viewer(1)*, *yt-dlp(1)*
